summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2016-11-10 11:14:39 -0600
committerWilliam Hubbs <w.d.hubbs@gmail.com>2016-11-10 11:14:54 -0600
commit413b37eb25f384129326b033de369be4b725c7e0 (patch)
treece6ddf7a840f84719b7773134f91ef488be48107
parentinit.d/udev-settle: typo fix (diff)
downloadudev-gentoo-scripts-master.tar.gz
udev-gentoo-scripts-master.tar.bz2
udev-gentoo-scripts-master.zip
udev-trigger: allow failure if udevadm exits with non-zero statusHEAD32master
-rw-r--r--init.d/udev-trigger4
1 files changed, 2 insertions, 2 deletions
diff --git a/init.d/udev-trigger b/init.d/udev-trigger
index 0f69455..bdd4884 100644
--- a/init.d/udev-trigger
+++ b/init.d/udev-trigger
@@ -84,13 +84,13 @@ start()
einfo "Setting /dev permissions and symbolic links"
udevadm trigger --attr-match=dev --action=add
udevadm trigger --subsystem-match=net --action=add
+ rc=$?
ewarn "Skipping udev coldplug sequence"
- return 0
+ return $rc
fi
ebegin "Populating /dev with existing devices through uevents"
udevadm trigger --type=subsystems --action=add
udevadm trigger --type=devices --action=add
eend $?
- return 0
}